### Method: clone

`call p%clone(pout,info)`

Create a (deep) copy of the preconditioner object.

Arguments

`pout` | `type(mld_`x `prec_type), intent(out)`.
| The copy of the preconditioner data structure. Note that x must be chosen according to the real/complex, single/double precision version of MLD2P4 under use.
`info` | `integer, intent(out)`.
| Error code. If no error, 0 is returned. See Section 8 for details.